### Virtual Method

# Foundry TextBuffer dup_contents

#### Declaration [src]

    GBytes*
    dup_contents (
      FoundryTextBuffer* self
    )

#### Description [src]

Gets the contents of the buffer as a `GBytes`.

#### Return value

Type: `GBytes`

A `GBytes` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.